import request from '@/utils/request'

// 查询会员标签组列表
export function listGroup(query) {
  return request({
    url: '/account/group/list',
    method: 'get',
    params: query
  })
}

// 查询会员标签组详细
export function getGroup(uid) {
  return request({
    url: '/account/group/' + uid,
    method: 'get'
  })
}

// 新增会员标签组
export function addGroup(data) {
  return request({
    url: '/account/group',
    method: 'post',
    data: data
  })
}

// 修改会员标签组
export function updateGroup(data) {
  return request({
    url: '/account/group',
    method: 'put',
    data: data
  })
}

// 删除会员标签组
export function delGroup(uid) {
  return request({
    url: '/account/group/' + uid,
    method: 'delete'
  })
}
